Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libgnomekbd8-3.28.1-1.6 RPM for armv6hl

From OpenSuSE Ports Tumbleweed for armv6hl

Name: libgnomekbd8 Distribution: openSUSE Tumbleweed
Version: 3.28.1 Vendor: openSUSE
Release: 1.6 Build date: Sat Feb 10 05:49:58 2024
Group: System/Libraries Build host: i03-armsrv2
Size: 130605 Source RPM: libgnomekbd-3.28.1-1.6.src.rpm
Packager: http://bugs.opensuse.org
Url: https://gitlab.gnome.org/GNOME/libgnomekbd
Summary: GNOME Keyboard Library
GNOME keyboard shared library.

This package provides the shared library of libgnomekbd.

Provides

Requires

License

LGPL-2.1-or-later

Changelog

* Mon Sep 05 2022 Dominique Leuenberger <dimstar@opensuse.org>
  - Update to version 3.28.1:
    + Land several fixes to meson build definitions to align with
      autotools.
  - Switch to meson build system:
    + Add meson BuildRequires.
    + Replace %configure/%make%make_install macros with meson
      equivalents %meson/%meson_build/%meson_install
    + Drop libtool BuildRequires and no longer call autogen.sh
* Wed Aug 24 2022 Bjørn Lie <bjorn.lie@gmail.com>
  - Rebase patches with quilt.
  - Use ldconfig_scriptlets macro for post(un) handling.
* Fri Aug 19 2022 Dominique Leuenberger <dimstar@opensuse.org>
  - Update to version 3.28.0:
    + Require GLib 2.44
    + Modernize the codebase
    + Avoid several crashes
    + Fix RTL issues
    + Add meson build system
    + Updated translations.
  - Add libtool BuildRequires and call autgen.sh in build phase: the
    tarball was geneated using meson and does not contain configure.
    It is not possible (yet) to use meson as build system though, as
    the installation turns out to be incomplete.
  - Drop libgnomekbd_avoid_implicit_definition.patch: Fixed upstream.
* Thu Sep 16 2021 Stanislav Brabec <sbrabec@suse.com>
  - Remove obsolete translation-update-upstream support
    (jsc#SLE-21105).
* Tue Jun 01 2021 Cliff Zhao <qzhao@suse.com>
  - Add libgnomekbd_avoid_implicit_definition.patch: Add string.h into
    include files to avoid inplicit definition warning in building.
    This change is to meet the needs of the inspection of maintaince
    build checking script(bnc#1160963, bnc#1034390,
    glgo#GNOME/libgnomekbd!7)
* Mon May 24 2021 Cliff Zhao <qzhao@suse.com>
  - Add libgnomekbd-set-default-indicator.patch: set the common
    keyboard layout indicator as "default" to avoid misleading
    (bnc#1034390).
* Fri Apr 02 2021 Cliff Zhao <qzhao@suse.com>
  - Add libgnomekbd-avoid-coredump-on-ibus-engines.patch: avoid libgnomekbd
    crash when working with ibus(bnc#1160963, glgo#GNOME/libgnomekbd!6).
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - No longer recommend -lang: supplements are in use
* Tue Nov 05 2019 Frederic Crozat <fcrozat@suse.com>
  - Add explicit conflicts in typelib-1_0-Gkbd-3_0 and gnomekbd-tools
    against libgnomekbd < 3.26.1, before package split was done.
* Tue Apr 30 2019 Dominique Leuenberger <dimstar@opensuse.org>
  - Make -lang package installable and ease upgrade: provide/obsolete
    libgnomekbd by libgnomekbd8.

Files

/usr/lib/libgnomekbd.so.8
/usr/lib/libgnomekbd.so.8.0.0
/usr/lib/libgnomekbdui.so.8
/usr/lib/libgnomekbdui.so.8.0.0
/usr/share/licenses/libgnomekbd8
/usr/share/licenses/libgnomekbd8/COPYING.LIB


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Jul 9 10:46:35 2024